#pragma once

#include "Widget.hpp"

class TabViewWidget : public Widget {
public:
    explicit TabViewWidget(const WidgetConfig& config);
    ~TabViewWidget() override;

    lv_obj_t* create(lv_obj_t* parent) override;
    void applyStyle() override;
};
